--- driconf-0.9.1.orig/PKG-INFO
+++ driconf-0.9.1/PKG-INFO
@@ -1,6 +1,6 @@
 Metadata-Version: 1.0
 Name: driconf
-Version: 0.9.1
+Version: 0.9.0
 Summary: A configuration applet for DRI drivers
 Home-page: http://dri.freedesktop.org/wiki/DriConf
 Author: Felix Kuehling
--- driconf-0.9.1.orig/debian/changelog
+++ driconf-0.9.1/debian/changelog
@@ -0,0 +1,65 @@
+driconf (0.9.1-2) unstable; urgency=low
+
+  * Fix all occurences of /usr/local in the code.
+  * driconf_commonui.py: Fix findInShared to look in /usr/share instead of all
+    prefixes of /var/lib/python-support/python2.*/ (Closes: #429522).
+  * debian/driconf.install, debian/rules: Handle desktop file.
+
+ -- Michel Dänzer <daenzer@debian.org>  Tue, 19 Jun 2007 11:33:37 +0200
+
+driconf (0.9.1-1) unstable; urgency=low
+
+  * New upstream release.
+  * Also include changes from upstream branch driconf-0-9-branch up to revision
+    284.
+  * Switched from python-central to python-support.
+  * Removed translators from debian/copyright for the sake of simplicity.
+  * Apply patch from
+    http://sourceforge.net/tracker/index.php?func=detail&aid=1656905&group_id=178376&atid=884983
+    to fix an UnboundLocalError that could happen under some circumstances.
+
+ -- Michel Dänzer <daenzer@debian.org>  Thu, 07 Jun 2007 13:29:18 +0200
+
+driconf (0.9.0-2) unstable; urgency=low
+
+  * debian/control: Add Suggests: mesa-utils | xbase-clients (<< 7.0.0) for
+    glxinfo, which if available is now used to retrieve some information about
+    the driver that isn't directly related to configuration (thanks Felix).
+  * Update to new Python policy:
+    - Build-depend on debhelper (>= 5.0.37.1), python (>= 2.3.5-7),
+      python-central (>= 0.4.10).
+    - Add XB-Python-Version: ${python:Versions} and XS-Python-Version: >=2.3
+      (per upstream documentation).
+    - Adapt debian/rules to cdbs pycentral support.
+  * Move some build-dependencies from Build-Depends-Indep: to Build-Depends:,
+    FTWCA policy section 7.6 ;). lintian now gives a false positive warning
+    about python, oh well...
+  * Bump standards version to 3.7.2.0.
+  * Update FSF mailing address in debian/copyright.
+
+ -- Michel Dänzer <daenzer@debian.org>  Sat, 17 Jun 2006 15:33:37 +0200
+
+driconf (0.9.0-1) unstable; urgency=low
+
+  * New upstream release.
+    - The major change is a new simplified UI. The old UI is sill available as
+      'expert mode'.
+  * debian/control:
+    - Make python-gtk2 (build-)dependencies versioned on >> 2.4.0 per upstream.
+    - Change dependency for the xdriinfo binary to xdriinfo | xbase-clients
+      (>> 6.8.0) to facilitate Ubuntu sidegrades and hopefully anticipate the
+      new modular X world order. :)
+    - Tweak description per upstream and as required by above changes.
+  * debian/copyright: Add 2006 for Felix.
+
+ -- Michel Daenzer <daenzer@debian.org>  Fri, 27 Jan 2006 16:50:25 +0100
+
+driconf (0.2.7-1) unstable; urgency=low
+
+  * Initial upload (Closes: #321886).
+  * setup.cfg: Don't install python modules in /usr/local.
+  * driconf.py: Fix version shown in about dialog.
+  * debian/driconf.1: Manpage, inspired by gnome-pilot source package.
+
+ -- Michel Daenzer <daenzer@debian.org>  Sat, 27 Aug 2005 19:54:23 -0400
+
--- driconf-0.9.1.orig/debian/compat
+++ driconf-0.9.1/debian/compat
@@ -0,0 +1 @@
+4
--- driconf-0.9.1.orig/debian/control
+++ driconf-0.9.1/debian/control
@@ -0,0 +1,25 @@
+Source: driconf
+Section: x11
+Priority: optional
+Maintainer: Michel Dänzer <daenzer@debian.org>
+Build-Depends: cdbs, debhelper (>= 5.0.37.1), python (>= 2.3.5-7)
+Build-Depends-Indep: python-support (>= 0.6), python-gtk2-dev (>> 2.4.0)
+Standards-Version: 3.7.2.0
+
+Package: driconf
+Architecture: all
+Depends: xdriinfo | xbase-clients (>> 6.8.0), python-gtk2 (>> 2.4.0),
+ ${python:Depends}
+Recommends: libgl1-mesa-dri | xlibmesa-gl (>> 6.8.0),
+ libgl1-mesa-dri | xlibmesa-dri (>> 6.8.0)
+Suggests: mesa-utils | xbase-clients (<< 7.0.0)
+Description: DRI configuration applet
+ Driconf is a configuration applet for the Direct Rendering Infrastructure
+ (DRI). It allows customizing performance and visual quality settings of OpenGL
+ drivers on a per-driver, per-screen and/or per-application level.
+ .
+ Driconf is implemented in Python. It uses the GTK+ toolkit bindings and the
+ xdriinfo program (from the xdriinfo or xbase-clients package) to retrieve
+ configuration information from OpenGL drivers.
+ .
+  Homepage: http://dri.freedesktop.org/wiki/DriConf
--- driconf-0.9.1.orig/debian/copyright
+++ driconf-0.9.1/debian/copyright
@@ -0,0 +1,25 @@
+This package was originally debianized by Michel Dänzer
+<daenzer@debian.org> on Mon, 1 Mar 2004
+
+It was downloaded from http://dri.sourceforge.net/cgi-bin/moin.cgi/DriConf
+
+Upstream Author: Felix Kühling
+
+Copyright 2003-2007 Felix Kühling
+
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
+
+On Debian systems, the complete text of the GNU General Public License,
+version 2, can be found in /usr/share/common-licenses/GPL-2.
--- driconf-0.9.1.orig/debian/docs
+++ driconf-0.9.1/debian/docs
@@ -0,0 +1 @@
+TODO
--- driconf-0.9.1.orig/debian/driconf.1
+++ driconf-0.9.1/debian/driconf.1
@@ -0,0 +1,15 @@
+.TH DRICONF 1 "August 14, 2005"
+.SH NAME
+driconf \- DRI configuration GUI
+.SH DESCRIPTION
+Driconf is a graphical configuration tool for the Direct Rendering Infrastructure
+(DRI). It allows customizing performance and visual quality settings of OpenGL
+drivers on a per-driver, per-screen and/or per-application level.
+
+The settings are stored in a system wide or per-user XML configuration file which
+is parsed by the OpenGL drivers on startup.
+.SH SEE ALSO
+Please see /usr/share/doc/driconf/ for more documentation.
+.SH AUTHOR
+This manual page was written by Michel Daenzer <daenzer@debian.org>,
+for the Debian GNU/Linux system (but may be used by others).
--- driconf-0.9.1.orig/debian/driconf.install
+++ driconf-0.9.1/debian/driconf.install
@@ -0,0 +1 @@
+driconf.desktop usr/share/applications/
--- driconf-0.9.1.orig/debian/driconf.manpages
+++ driconf-0.9.1/debian/driconf.manpages
@@ -0,0 +1 @@
+debian/driconf.1
--- driconf-0.9.1.orig/debian/menu
+++ driconf-0.9.1/debian/menu
@@ -0,0 +1,5 @@
+?package(driconf):needs="X11" \
+	section="Apps/Tools" \
+	title="Driconf" \
+	longtitle="DRI configuration GUI" \
+	command="/usr/bin/driconf"
--- driconf-0.9.1.orig/debian/pyversions
+++ driconf-0.9.1/debian/pyversions
@@ -0,0 +1 @@
+2.3-
--- driconf-0.9.1.orig/debian/rules
+++ driconf-0.9.1/debian/rules
@@ -0,0 +1,14 @@
+#!/usr/bin/make -f
+
+DEB_DH_INSTALLCHANGELOGS_ARGS=CHANGELOG
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+
+DEB_PYTHON_SYSTEM=pysupport
+
+include /usr/share/cdbs/1/class/python-distutils.mk
+
+DEB_PYTHON_PRIVATE_MODULES_DIRS=debian/driconf/usr/share/python-support/driconf
+
+$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
+	dh_desktop -pdriconf
--- driconf-0.9.1.orig/debian/pycompat
+++ driconf-0.9.1/debian/pycompat
@@ -0,0 +1 @@
+2
--- driconf-0.9.1.orig/dri.py
+++ driconf-0.9.1/dri.py
@@ -21,6 +21,7 @@
 import os
 import string
 import re
+import locale
 import xml.parsers.expat
 
 class Error (Exception):
@@ -328,6 +329,29 @@
                 return optSection.options[name]
         return None
 
+def _GLXInfoToUnicode(string):
+    """ Smart way to convert strings to unicode.
+
+    This should give the expected result in most cases that are interesting
+    for glxinfo output.
+    """
+    # Try a number of popular encodings starting with the locale's default.
+    # Try utf-8 before latin1, since latin1 will almost always succeed
+    # but not necessarily be correct.
+    lang,defenc = locale.getlocale(locale.LC_MESSAGES)
+    if not defenc:
+        encodings = ('utf-8', 'iso8859-1')
+    else:
+        encodings = (defenc, 'utf-8', 'iso8859-1')
+    for encoding in encodings:
+        try:
+            return unicode(string, encoding, 'strict')
+        except ValueError:
+            continue
+    # If we get here, all encodings failed. Use ascii with replacement
+    # of illegal characters as a failsafe fallback.
+    return unicode(string, 'ascii', 'replace')
+
 class GLXInfo:
     def __init__ (self, screen, dpy):
         if dpy == None:
@@ -359,6 +383,9 @@
             self.renderer = rMatch and rMatch.group(1)
             if not self.vendor or not self.renderer:
                 raise DRIError ("unable to parse glxinfo output.")
+            # Make sure we end up with valid unicode
+            self.vendor = _GLXInfoToUnicode(self.vendor)
+            self.renderer = _GLXInfoToUnicode(self.renderer)
 
 class ScreenInfo:
     """ References a DriverInfo object with the real config info. """
--- driconf-0.9.1.orig/driconf
+++ driconf-0.9.1/driconf
@@ -21,8 +21,6 @@
 # Contact: http://fxk.de.vu/
 
 import sys
-sys.path.append("/usr/local/lib/driconf")
-
 import driconf
 
 driconf.main()
--- driconf-0.9.1.orig/driconf.desktop
+++ driconf-0.9.1/driconf.desktop
@@ -3,7 +3,7 @@
 Name=3D Acceleration
 Comment=Change 3D Acceleration options
 Exec=driconf
-Icon=/usr/local/share/driconf/driconf-icon.png
+Icon=/usr/share/driconf/driconf-icon.png
 Type=Application
 Categories=GNOME;Application;Settings;AdvancedSettings;
 StartupNotify=true
--- driconf-0.9.1.orig/driconf_commonui.py
+++ driconf-0.9.1/driconf_commonui.py
@@ -30,7 +30,7 @@
 
 # Install translations. Search in the current directory first (for
 # easy testing). Then search in the default location and in
-# /usr/local/share/locale. If all this fails fall back to the null
+# /usr/share/locale. If all this fails fall back to the null
 # translation.
 try:
     _ = gettext.translation ("driconf", ".").ugettext
@@ -38,7 +38,7 @@
     try:
         _ = gettext.translation ("driconf").ugettext
     except IOError:
-        _ = gettext.translation ("driconf", "/usr/local/share/locale",
+        _ = gettext.translation ("driconf", "/usr/share/locale",
                                  fallback=True).ugettext
 
 # global variable: lang
@@ -66,13 +66,9 @@
 # Find a file that should have been installed in .../shared/driconf
 # Prefixes of __file__ are tried. And the current directory as a fallback.
 def findInShared (name):
-    # try all <prefix>/share/driconf/name for all prefixes of __file__
-    head,tail = os.path.split (__file__)
-    while head and tail:
-        f = os.path.join (head, "share/driconf", name)
-        if os.path.isfile (f):
-            return f
-        head,tail = os.path.split (head)
+    f = os.path.join ("/usr/share/driconf", name)
+    if os.path.isfile (f):
+        return f
     # try name in the current directory
     if os.path.isfile (name):
         return name
@@ -352,6 +348,12 @@
         if type == "bool":
             self.widget = gtk.ToggleButton ()
             self.widget.set_use_stock (True)
+            # Make sure the button doesn't change size when toggled
+            self.widget.set_label ("gtk-yes")
+            wYes = self.widget.size_request()[0]
+            self.widget.set_label ("gtk-no")
+            wNo = self.widget.size_request()[0]
+            self.widget.set_size_request (max(wYes, wNo), -1)
             if value:
                 self.widget.set_label ("gtk-yes")
             else:
--- driconf-0.9.1.orig/driconf_simpleui.py
+++ driconf-0.9.1/driconf_simpleui.py
@@ -266,8 +266,8 @@
                     j = i
                     break
                 i = i - 1
-            if i < chars/3:
-                i = chars
+            else:
+                i = j = chars
             head, tail = head + tail[:i] + '\n', tail[j:]
     return head
 
--- driconf-0.9.1.orig/nl.po
+++ driconf-0.9.1/nl.po
@@ -1,18 +1,19 @@
-# Translation of driconf-0.9.0 to Dutch.
+# Translation of driconf-0.9.1 to Dutch.
 # Benno Schulenberg <benno@nietvergeten.nl>, 2006.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: driconfr 0.9.0\n"
+"Project-Id-Version: driconf 0.9.1\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2006-09-17 21:00-0400\n"
-"PO-Revision-Date: 2006-09-17 21:09-0400\n"
+"PO-Revision-Date: 2006-09-28 22:54+0200\n"
 "Last-Translator: Benno Schulenberg <benno@nietvergeten.nl>\n"
 "Language-Team: Dutch <vertaling@vrijschrift.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "X-Generator: KBabel 1.11.4\n"
+"Plural-Forms:  nplurals=2; plural=(n != 1);\n"
 
 #: driconf.py:62
 #, python-format
@@ -53,18 +54,18 @@
 "There are no usable DRI configuration files and a new one could not be "
 "created. Exiting now."
 msgstr ""
-"Er zijn geen bruikbare DRI-configuratiebestanden gevonden, en een nieuw "
-"bestand kon niet aangemaakt worden.  Het programma wordt nu afgesloten."
+"Er zijn geen bruikbare DRI-configuratiebestanden gevonden en een nieuw "
+"bestand kon niet aangemaakt worden.  DRIconf wordt nu afgesloten."
 
 #: driconf.py:148
 #, python-format
 msgid "Created a new DRI configuration file \"%s\" for you."
-msgstr "Een nieuw configuratiebestand \"%s\" werd voor u aangemaakt."
+msgstr "Een nieuw configuratiebestand \"%s\" is voor u aangemaakt."
 
 #: driconf.py:156
 #, python-format
 msgid "Created new DRI configuration files %s for you."
-msgstr "Nieuwe configuratiebestanden \"%s\" werden voor u aangemaakt."
+msgstr "Nieuwe configuratiebestanden \"%s\" zijn voor u aangemaakt."
 
 #: driconf_commonui.py:319
 msgid "Remove"
@@ -88,8 +89,8 @@
 "Unless you're using the same configuration file on another computer with a "
 "different driver version, it is safe to remove these settings."
 msgstr ""
-"Deze tab toont instellingen die het 3D-stuurprogramma niet langer kent.  U "
-"kunt deze instellingen simpelweg verwijderen, tenzij u ditzelfde "
+"Dit tabblad toont instellingen die het 3D-stuurprogramma niet langer kent.  "
+"U kunt deze instellingen simpelweg verwijderen, tenzij u ditzelfde "
 "configuratiebestand op een andere computer met een andere versie van het "
 "stuurprogramma gebruikt."
 
@@ -110,7 +111,7 @@
 
 #: driconf_commonui.py:721 driconf_commonui.py:740
 msgid "A configuration applet for DRI drivers"
-msgstr "Configuratiegereedschap voor DRI-stuurprogramma's"
+msgstr "Configureren van DRI-stuurprogramma's"
 
 #: driconf_commonui.py:742
 msgid "Translated by"
@@ -122,11 +123,11 @@
 
 #: driconf_complexui.py:39
 msgid "Application"
-msgstr "Applicatie"
+msgstr "Programma"
 
 #: driconf_complexui.py:46
 msgid "Apply only to this executable"
-msgstr "Alleen op dit uitvoerbare programma toepassen"
+msgstr "Alleen op dit programmabestand toepassen"
 
 #: driconf_complexui.py:49
 msgid ""
@@ -134,9 +135,9 @@
 "Beware that some applications or games are just a shell script that starts a "
 "real executable with a different name."
 msgstr ""
-"Als dit uitstaat, gelden de instellingen voor alle applicaties.\n"
-"Wees erop bedacht dat sommige applicaties slechts een shellscript zijn en "
-"dat het uiteindelijk gestarte programma een andere naam heeft."
+"Als dit uitstaat, gelden de instellingen voor alle programma's.\n"
+"Houd er rekening mee dat sommige programma's slechts een shellscript zijn en "
+"dat het uiteindelijk gestarte programmabestand een andere naam heeft."
 
 #: driconf_complexui.py:73
 msgid "Unknown"
@@ -151,13 +152,13 @@
 "Enter the name of the application below. This just serves as a description "
 "for you. Don't forget to set the executable afterwards."
 msgstr ""
-"Geef hieronder een naam voor de applicatie op.  Dit dient slechts als een "
-"omschrijving voor uzelf.  Vergeet niet verderop de naam van het uitvoerbare "
-"programma vast te leggen."
+"Geef hieronder een naam voor het programma op.  Dit dient slechts als een "
+"omschrijving voor uzelf.  Vergeet niet verderop de naam van het eigenlijke "
+"programmabestand vast te leggen."
 
 #: driconf_complexui.py:170 driconf_simpleui.py:282
 msgid "Application Name"
-msgstr "Naam van applicatie"
+msgstr "Programmanaam"
 
 #: driconf_complexui.py:205
 msgid "Describe the device that you would like to configure."
@@ -169,7 +170,7 @@
 
 #: driconf_complexui.py:221
 msgid "Driver Name"
-msgstr "Stuurprogrammanaam"
+msgstr "Stuurprogramma"
 
 #: driconf_complexui.py:344
 #, python-format
@@ -183,34 +184,33 @@
 
 #: driconf_complexui.py:354
 msgid "Unspecified device"
-msgstr "Ongespecificeerd apparaat"
+msgstr "Niet-gespecificeerd apparaat"
 
 #: driconf_complexui.py:578
 #, python-format
 msgid "Parsing the driver's configuration information: %s"
-msgstr "Tijdens het ontleden van stuurprogramma-configuratiegegevens: %s"
+msgstr "Fout tijdens het ontleden van de configuratiegegevens: %s"
 
 #: driconf_complexui.py:616
 #, python-format
 msgid "Really delete application \"%s\"?"
-msgstr "Configuratie voor applicatie \"%s\" echt wissen?"
+msgstr "Wilt u de configuratie voor programma \"%s\" verwijderen?"
 
 #: driconf_complexui.py:622
 msgid "Really delete device and all applications in it?"
-msgstr ""
-"Dit apparaat en alle bijbehorende configuratiegegevens echt verwijderen?"
+msgstr "Wilt u dit apparaat en alle bijbehorende configuratiegegevens verwijderen?"
 
 #: driconf_complexui.py:643
 msgid "Rename Application"
-msgstr "Applicatie hernoemen"
+msgstr "Programma hernoemen"
 
 #: driconf_complexui.py:646
 msgid "Device Properties"
-msgstr "Apparaateigenschappen"
+msgstr "Eigenschappen van apparaat"
 
 #: driconf_complexui.py:653
 msgid "New Application"
-msgstr "Nieuwe applicatie"
+msgstr "Nieuw programma"
 
 #: driconf_complexui.py:656
 msgid "New Device"
@@ -228,12 +228,12 @@
 #: driconf_complexui.py:710
 #, python-format
 msgid "Really reload \"%s\" from disk?"
-msgstr "Bestand \"%s\" echt opnieuw laden?"
+msgstr "Wilt u bestand \"%s\" opnieuw inlezen?"
 
 #: driconf_complexui.py:721
 #, python-format
 msgid "Couldn't open \"%s\" for reading. The file was not reloaded."
-msgstr "Kan \"%s\" niet lezen.  Het bestand is niet opnieuw geladen."
+msgstr "Kan \"%s\" niet openen.  Het bestand is niet opnieuw ingelezen."
 
 #: driconf_complexui.py:733
 #, python-format
@@ -244,7 +244,7 @@
 msgstr ""
 "Configuratiebestand \"%s\" bevat fouten:\n"
 "%s\n"
-"Het bestand is niet opnieuw geladen."
+"Het bestand is niet opnieuw ingelezen."
 
 #: driconf_complexui.py:842
 msgid "Save selected configuration file"
@@ -252,15 +252,15 @@
 
 #: driconf_complexui.py:845
 msgid "Reload selected configuration file"
-msgstr "Geselecteerd configuratiebestand opnieuw laden"
+msgstr "Geselecteerd configuratiebestand opnieuw inlezen"
 
 #: driconf_complexui.py:849
 msgid "Create a new device or application"
-msgstr "Nieuw apparaat of applicatie toevoegen"
+msgstr "Nieuw apparaat of programma toevoegen"
 
 #: driconf_complexui.py:852
 msgid "Remove selected device or application"
-msgstr "Geselecteerd apparaat of applicatie verwijderen"
+msgstr "Geselecteerd apparaat of programma verwijderen"
 
 #: driconf_complexui.py:855
 msgid "Move selected item up"
@@ -272,7 +272,7 @@
 
 #: driconf_complexui.py:861
 msgid "Properties of selected device or application"
-msgstr "Eigenschappen van geselecteerd apparaat of applicatie"
+msgstr "Eigenschappen van geselecteerd apparaat of programma"
 
 #: driconf_complexui.py:875
 msgid "Exit DRIconf"
@@ -284,7 +284,7 @@
 
 #: driconf_simpleui.py:294
 msgid "Executable Name"
-msgstr "Naam van uitvoerbare programma"
+msgstr "Naam van programmabestand"
 
 #: driconf_simpleui.py:314
 msgid ""
@@ -293,19 +293,19 @@
 "started by a shell script, that has a different name than the real "
 "executable."
 msgstr ""
-"De naam van het uitvoerbare programma is belangrijk voor het herkennen van "
-"de applicatie.  Als u een verkeerde naam opgeeft, worden uw applicatie-"
-"instellingen niet toegepast.  Wees erop bedacht dat sommige applicaties door "
-"een script gestart worden en dat het uiteindelijk uitgevoerde programma een "
-"andere naam heeft."
+"De naam van het programmabestand is belangrijk voor het herkennen van het "
+"programma.  Houd er rekening mee dat sommige programma's door een script "
+"gestart worden en dat het uiteindelijk uitgevoerde programmabestand een "
+"andere naam heeft.  Als de bestandsnaam niet precies klopt, worden uw "
+"instellingen voor dit programma niet gebruikt."
 
 #: driconf_simpleui.py:377
 msgid "Add setting"
-msgstr "Instelling toevoegen"
+msgstr "Toe te voegen instelling:"
 
 #: driconf_simpleui.py:428
 msgid "Direct Rendering Preferences"
-msgstr "Instellingen voor Direct Rendering"
+msgstr "DRI-instellingen"
 
 #: driconf_simpleui.py:441 driconf_simpleui.py:444 driconf_simpleui.py:456
 msgid "Screen"
@@ -317,7 +317,7 @@
 
 #: driconf_simpleui.py:493
 msgid "Application settings"
-msgstr "Applicatie-instellingen"
+msgstr "Instellingen voor specifieke programma's"
 
 #: driconf_simpleui.py:556 driconf_simpleui.py:630
 msgid "Unknown options"
@@ -329,39 +329,36 @@
 
 #: driconf_simpleui.py:708
 msgid "You must enter both an application name and an executable name."
-msgstr ""
-"U dient zowel een applicatienaam als de naam van het uitvoerbare programma "
-"op te geven."
+msgstr "Geef zowel een programmanaam als de naam van het programmabestand op."
 
 #: driconf_simpleui.py:713
 msgid ""
 "There exists an application configuration with the same name. Please enter a "
 "different name."
 msgstr ""
-"Er bestaat al een applicatieconfiguratie met deze naam.  Geef alstublieft "
-"een andere naam op."
+"Er bestaat al een programmaconfiguratie met deze naam.  Geef een andere "
+"naam op."
 
 #: driconf_simpleui.py:718
 msgid ""
 "There exists an application configuration for the same executable. You can't "
 "create multiple application configurations for the same executable."
 msgstr ""
-"Er bestaat al een applicatieconfiguratie voor dat programma.  U kunt niet "
-"meerdere configuraties voor hetzelfde programma aanmaken."
+"Er bestaat al een configuratie voor dat programmabestand.\n"
+"Meerdere configuraties voor hetzelfde bestand zijn niet mogelijk."
 
 #: driconf_simpleui.py:734
 msgid "Add Application"
-msgstr "Applicatie toevoegen"
+msgstr "Programma toevoegen"
 
 #: driconf_simpleui.py:755
 msgid "Application Properties"
-msgstr "Applicatie-eigenschappen"
+msgstr "Eigenschappen van programma"
 
 #: driconf_simpleui.py:837
 #, python-format
 msgid "The DRI configuration file \"%s\" is broken or could not be created."
-msgstr ""
-"DRI-configuratiebestand \"%s\" is beschadigd of kan niet aangemaakt worden."
+msgstr "DRI-configuratiebestand \"%s\" is beschadigd of kan niet aangemaakt worden."
 
 #: driconf_simpleui.py:848
 #, python-format
@@ -375,6 +372,7 @@
 "bug with the original configuration file attached. The file will be treated "
 "as read-only for now."
 msgstr ""
-"Normalisering van DRI-configuratiebestand \"%s\" is mislukt.  Stuur "
-"alstublieft een foutrapportage op inclusief het configuratiebestand.  Dit "
-"bestand wordt zolang als alleen-lezen behandeld."
+"Normalisering van DRI-configuratiebestand \"%s\" is mislukt.  Stuur a.u.b. "
+"een foutrapportage op inclusief het configuratiebestand.  Dit bestand wordt "
+"zolang als alleen-lezen behandeld."
+
--- driconf-0.9.1.orig/ru.po
+++ driconf-0.9.1/ru.po
@@ -2,15 +2,17 @@
 msgstr ""
 "Project-Id-Version: driconf\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2006-09-17 21:00-0400\n"
-"PO-Revision-Date: 2006-09-17 21:17-0400\n"
+"POT-Creation-Date: 2007-01-08 13:00+0300\n"
+"PO-Revision-Date: 2007-01-07 20:39+0000\n"
 "Last-Translator: Konstantin A. Lepikhov <lakostis@altlinux.org>\n"
 "Language-Team: Russian <LL@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Generated-By: pygettext.py 1.5\n"
-"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%"
+"10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"X-Generator: Pootle 0.10.1\n"
 
 #: driconf.py:62
 #, python-format
@@ -50,7 +52,7 @@
 "There are no usable DRI configuration files and a new one could not be "
 "created. Exiting now."
 msgstr ""
-"Невозмжно создать и прочитать файлы с конфигурацией DRI. Аварийное "
+"Невозможно создать и прочитать файлы с конфигурацией DRI. Аварийное "
 "завершение работы программы."
 
 #: driconf.py:148
@@ -71,15 +73,15 @@
 msgid "Reset to default value"
 msgstr "Применить настройки по-умолчанию"
 
-#: driconf_commonui.py:587
+#: driconf_commonui.py:593
 msgid "Option"
 msgstr "Опция"
 
-#: driconf_commonui.py:592
+#: driconf_commonui.py:598
 msgid "Value"
 msgstr "Значение"
 
-#: driconf_commonui.py:671
+#: driconf_commonui.py:677
 msgid ""
 "This tab shows settings that are no longer supported by the 3D driver. "
 "Unless you're using the same configuration file on another computer with a "
@@ -89,7 +91,7 @@
 "драйвером. Лучше удалить эти настройки, если вы не пользуетесь другой "
 "версией драйвера и тем же файлом конфигурации."
 
-#: driconf_commonui.py:676
+#: driconf_commonui.py:682
 msgid ""
 "The driver for this device could not be determined or does not support "
 "configuration. You can still change the settings but it cannot be verified "
@@ -99,20 +101,20 @@
 "возможности конфигурирования. Вы все равно сможете изменить настройки, но "
 "нет гарантии, что они будут правильными и будут поддерживаться."
 
-#: driconf_commonui.py:714 driconf_commonui.py:732 driconf_commonui.py:743
+#: driconf_commonui.py:720 driconf_commonui.py:738 driconf_commonui.py:749
 msgid "translator-credits"
 msgstr "Konstantin A. Lepikhov <lakostis@altlinux.org>"
 
-#: driconf_commonui.py:721 driconf_commonui.py:740
+#: driconf_commonui.py:727 driconf_commonui.py:746
 #, fuzzy
 msgid "A configuration applet for DRI drivers"
 msgstr "Графическая среда для настройки DRI драйверов"
 
-#: driconf_commonui.py:742
+#: driconf_commonui.py:748
 msgid "Translated by"
 msgstr "Переводчики"
 
-#: driconf_commonui.py:748 driconf_complexui.py:871
+#: driconf_commonui.py:754 driconf_complexui.py:871
 msgid "About DRIconf"
 msgstr "О DRIconf"
 
@@ -143,6 +145,7 @@
 msgstr "(нет описания)"
 
 #: driconf_complexui.py:163
+#, fuzzy
 msgid ""
 "Enter the name of the application below. This just serves as a description "
 "for you. Don't forget to set the executable afterwards."
@@ -373,3 +376,7 @@
 "bug with the original configuration file attached. The file will be treated "
 "as read-only for now."
 msgstr ""
+"Нормализация вашего конфигурационного файла \"%s\" закончилась неудачей. "
+"Пожалуйста, сообщите об этом разработчикам, добавив в отчёт файл "
+"конфигурации, где произошла ошибка. Сейчас ваш файл конфигурации доступен "
+"только для чтения."
--- driconf-0.9.1.orig/setup.cfg
+++ driconf-0.9.1/setup.cfg
@@ -1,3 +1,2 @@
 [install]
-prefix=/usr/local
-install-purelib=/usr/local/lib/driconf
+prefix=/usr
